Bug 440471 - iwl4965: joining Ad-Hoc network fails
Summary: iwl4965: joining Ad-Hoc network fails
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-03 17:46 UTC by Emmanuel Kowalski
Modified: 2009-01-09 06:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 06:19:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log messages (4.94 KB, text/plain)
2008-04-03 17:48 UTC, Emmanuel Kowalski
no flags Details

Description Emmanuel Kowalski 2008-04-03 17:46:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
On a new Thinkpad T61p with Fedora 8 x86_64, trying to join an Ad-Hoc network
with the iwl4965 wireless driver leads to failure very quickly, with two assertions failing in net/mac80211/{sta_info,key}.c
These assertions are reported repeatedly (messages.log filling a the rate of 5 to 10 Mb/s).

Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8

How reproducible:
Didn't try


Steps to Reproduce:
1. Join an ad-hoc network (with static IP adresses).
2. Wait a few minutes.
3.

Actual Results:
I noticed a continuous hard-disc write with gkrellm, and the computer froze after
a few minutes.
 

Expected Results:
Functioning network without crash.

Additional info:
(1) The two assertion failures are attached below; they occurred repeatedly and identically.
(2) The other computer on the Ad-Hoc network, a Dell D820 with iwl3945 (and Fedora 8, 32bit), also froze around the same time.  The log reports assertions failing in the same two files and lines.

Comment 1 Emmanuel Kowalski 2008-04-03 17:48:47 UTC
Created attachment 300291 [details]
Log messages 

These messages were repeated identically many many times in the log file.

Comment 2 Bug Zapper 2008-11-26 10:22:59 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:19:16 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.